osl::eval::ml::NonPawnPieceStand Class Reference

`#include <pieceStand.h>`

## Public Types

enum | { DIM = 21 }

## Public Member Functions

| NonPawnPieceStand ()

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (int black_count, int white_count)

## Static Private Attributes

static CArray< MultiInt, 21 > | table

## Detailed Description

Definition at line 59 of file eval/pieceStand.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 63 of file eval/pieceStand.h.

## Constructor & Destructor Documentation

## NonPawnPieceStand()

osl::eval::ml::NonPawnPieceStand::NonPawnPieceStand | ( |  | ) |

inline

Definition at line 64 of file eval/pieceStand.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::NonPawnPieceStand::eval | ( | int | black_count,
|  | int | white_count )

static

Definition at line 52 of file eval_pieceStand.cc.

References table.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## setUp()

void osl::eval::ml::NonPawnPieceStand::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 43 of file eval_pieceStand.cc.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< osl::MultiInt, 21 > osl::eval::ml::NonPawnPieceStand::table

static private

Definition at line 61 of file eval/pieceStand.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- eval/pieceStand.h
- eval_pieceStand.cc